#ifndef MAIN_H
#define MAIN_H  1


/* ========================================================================== */
/* Include files */

#include <time.h>


/*! \addtogroup MAIN */
/* @{ */


/* ========================================================================== */
/* Macros */

/*! \brief Prepend module prefix and print error message */
#define PRINT_ERROR(s)  { print_error(MAIN_ERR_PREFIX s); }


/* @} */


/* ========================================================================== */
/* Function prototypes */

extern void  print_error(const char*);
extern int  ts_getenv(const char*, const char**);
extern struct tm*  ts_gmtime(const time_t*, struct tm*);
extern struct tm*  ts_localtime(const time_t*, struct tm*);
extern int  ts_lock_ui(void);
extern int  ts_unlock_ui(void);


#endif  /* MAIN_H */

/* EOF */
